package task.db;

import org.junit.Test;

public class DatabaseTest {
    @Test
    public void testDuplicateRegister() {
        Database db = new PlainDB();
        db.register("user1", "pass1");
        db.register("user1", "pass2");
    }
    
    @Test
    public void testDuplicateLogin() {
        Database db = new PlainDB();
        db.login("user1", "pass1");
        db.login("user1", "pass2");
    }
    
    @Test
    public void testInvalidLogin() {
        Database db = new PlainDB();
        db.register("user1", "pass1");
        db.login("user2", "pass2");
    }
    
    @Test
    public void testInvalidDataRead() {
        Database db = new PlainDB();
        db.register("user1", "pass1");
        db.login("user1", "pass1");
        db.addData("user1", 1, 10);
        db.readData("user1", 2);
    }
}
